[P027]Re-examination and Invalidation

get
https://connect.patsnap.com/advanced-patent-data/re-examination-and-invalidation
Try in Sandbox

Receive re-examination and invalidation data by patent_id or patent_number. This includes re-examination applicant, invalidation applicant, case type, decision number, decision date, and legal ground.

The API supports batch requests with a maximum of 100 patents, and more patent id or patent number are separated with English comma. Batch requests are deducted from traffic/costs, and will be deducted multiple times based on the number of successful results returned.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
patent_id
stringacc632c2-ce53-4055-bac6-df3050c3ade4
patent_id
patent_number
stringEP2138001A1
patent_number

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
array-
response data
pn
stringUS11205304B2
patent number
lang
stringCN
lang
patent_id
string718ead9c-4f3c-4674-8f5a-24e126827269
patent id
patent_reexam_invalid_data
arrayPlease check the form: PatentReexamInvalidData
patent re-examination and invalidation
country
stringEP
Authority code
applicant
arrayPlease check the form: Applicant
applicant
name
stringRoku, Inc.
name
sequence
integer<int32>1
sequence
case_type
stringappeal
Case type:

FS - reexamination,WX - invalidation,KS - oral proceedings,appeal,EPR,IPRex,SE,判定,訂正無効の審,異議の決,拒絶査定不服の審,訂正の審,請求書却下の決定,補正却下の決,無効の審,補正却下不服の審 .etc

legal_ground
array[ "European Patent Convention Art 56" ]
Legal ground
decision_date
integer<int64>20190905
Decision date
decision_number
stringT2051/15
Decision number
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": [
    {
      "pn": "US11205304B2",
      "lang": "CN",
      "patent_id": "718ead9c-4f3c-4674-8f5a-24e126827269",
      "patent_reexam_invalid_data": [
        {
          "country": "EP",
          "applicant": [
            {
              "name": "Roku, Inc.",
              "sequence": 1
            }
          ],
          "case_type": "appeal",
          "legal_ground": [
            "European Patent Convention Art 56"
          ],
          "decision_date": 20190905,
          "decision_number": "T2051/15"
        }
      ]
    }
  ],
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200001API call exceeds the total limit set by the platform!
67200002Quota exceeds the limit!
67200003Access token expired or authentication error!
67200004No permission or API package quota has exceeded the limit!
67200005Insufficient balance, call failed!
67200006This client has expired and call failed!
67200007Exceeded the call limit, call failed!

HTTP Status Codes

Status CodeDescription
0Success
401Unauthorized
403Forbidden
404Not Found